org.keycloak.federation.ldap.mappers.msad

## Class MSADUserAccountControlMapper.MSADUserModelDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.federation.ldap.mappers.msad.MSADUserAccountControlMapper.MSADUserModelDelegate

- All Implemented Interfaces:
    RoleMapperModel, UserModel
  Enclosing class:
    MSADUserAccountControlMapper

      public class MSADUserAccountControlMapper.MSADUserModelDelegate
      extends UserModelDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.UserRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `EMAIL, FIRST_NAME, LAST_NAME, LOCALE, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSADUserModelDelegate(UserModel delegate, LDAPObject ldapUser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequiredAction(String action)`
    `void` | `addRequiredAction(UserModel.RequiredAction action)`
    `protected long` | `getPwdLastSet()`
    `Set<String>` | `getRequiredActions()`
    `protected UserAccountControl` | `getUserAccountControl()`
    `boolean` | `isEnabled()`
    `void` | `removeRequiredAction(String action)`
    `void` | `removeRequiredAction(UserModel.RequiredAction action)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `updateCredential(UserCredentialModel cred)`
    `protected void` | `updateUserAccountControl(UserAccountControl accountControl)`

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `deleteRoleMapping, getAttribute, getAttributes, getClientRoleMappings, getCreatedTimestamp, getCredentialsDirectly, getDelegate, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroups, getId, getLastName, getRealmRoleMappings, getRoleMappings, getServiceAccountClientLink, getUsername, grantRole, hasRole, isEmailVerified, isMemberOf, isOtpEnabled, joinGroup, leaveGroup, removeAttribute, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setFederationLink, setFirstName, setLastName, setOtpEnabled, setServiceAccountClientLink, setSingleAttribute, setUsername, updateCredentialDirectly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MSADUserModelDelegate

          public MSADUserModelDelegate(UserModel delegate,
                                       LDAPObject ldapUser)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `UserModel`
      Overrides:
        `isEnabled` in class `UserModelDelegate`

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Specified by:
        `setEnabled` in interface `UserModel`
      Overrides:
        `setEnabled` in class `UserModelDelegate`

    - #### updateCredential

          public void updateCredential(UserCredentialModel cred)

      Specified by:
        `updateCredential` in interface `UserModel`
      Overrides:
        `updateCredential` in class `UserModelDelegate`

    - #### addRequiredAction

          public void addRequiredAction(UserModel.RequiredAction action)

      Specified by:
        `addRequiredAction` in interface `UserModel`
      Overrides:
        `addRequiredAction` in class `UserModelDelegate`

    - #### addRequiredAction

          public void addRequiredAction(String action)

      Specified by:
        `addRequiredAction` in interface `UserModel`
      Overrides:
        `addRequiredAction` in class `UserModelDelegate`

    - #### removeRequiredAction

          public void removeRequiredAction(UserModel.RequiredAction action)

      Specified by:
        `removeRequiredAction` in interface `UserModel`
      Overrides:
        `removeRequiredAction` in class `UserModelDelegate`

    - #### removeRequiredAction

          public void removeRequiredAction(String action)

      Specified by:
        `removeRequiredAction` in interface `UserModel`
      Overrides:
        `removeRequiredAction` in class `UserModelDelegate`

    - #### getRequiredActions

          public Set<String> getRequiredActions()

      Specified by:
        `getRequiredActions` in interface `UserModel`
      Overrides:
        `getRequiredActions` in class `UserModelDelegate`

    - #### getPwdLastSet

          protected long getPwdLastSet()

    - #### getUserAccountControl

          protected UserAccountControl getUserAccountControl()

    - #### updateUserAccountControl

          protected void updateUserAccountControl(UserAccountControl accountControl)

Copyright © 2016 JBoss by Red Hat. All rights reserved.